> For the complete documentation index, see [llms.txt](https://spice.docs.medtroniclabs.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/investigation-create/fill-prescription-list.md).

# Fill Prescription List

| **API URL**     | {{url}}/spice-service/fill-prescription/list |
| --------------- | -------------------------------------------- |
| **Method**      | POST                                         |
| **Description** | Fill prescription list                       |

#### **Input:** <a href="#fillprescriptionlist-input" id="fillprescriptionlist-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#fillprescriptionlist-sampleinput" id="fillprescriptionlist-sampleinput"></a>

{     "id": 1,     "assessmentRequired": true,     "assessmentDataRequired": false,     "isConfirmDiagnosis": false,     "isDiabetesDiagnosis": false,     "isGad7": false,     "isHtnDiagnosis": false,     "lifeStyleRequired": false,     "isPhq9": false,     "isPregnant": false,     "prescriberRequired": true,     "redRiskPatient": false }

#### **Output:** <a href="#fillprescriptionlist-output" id="fillprescriptionlist-output"></a>

| **Field Name**              | **Type**  | **Comments**                          |
| --------------------------- | --------- | ------------------------------------- |
| `id`                        | Boolean   | Medication ID                         |
| `medicationName`            | String    | Medication Name                       |
| `dosageUnitName`            | String    | Medication Dosage unit                |
| `dosageUnitValue`           | Integer   | Medication Dosage unit value          |
| `dosageFormName`            | String    | Medication Dosage form                |
| `dosageFrequencyName`       | String    | Frequency name                        |
| `instructionNote`           | String    | Medication frequency instruction note |
| `endDate`                   | Timestamp | Medication end date                   |
| `remainingPrescriptionDays` | Integer   | Remaining prescription days           |
| `classificationName`        | String    | Medication classification name        |
| `brandName`                 | String    | Medication brand name                 |

#### **Sample Output:** <a href="#fillprescriptionlist-sampleoutput" id="fillprescriptionlist-sampleoutput"></a>

```
{
  "message": "Got Fill Prescription's.",
  "entity": null,
  "status": true,
  "entityList": [
    {
      "id": 1,
      "medicationName": "Dolophime",
      "dosageUnitName": "µg",
      "dosageUnitValue": "5",
      "dosageFormName": "Tablet",
      "dosageFrequencyName": "OM",
      "instructionNote": "In the morning",
      "endDate": "2023-05-29T11:54:58+05:30",
      "remainingPrescriptionDays": 1,
      "tenantId": 4,
      "prescription": 5,
      "createdAt": "2023-05-24T11:54:58+05:30",
      "classificationName": "Diuretic",
      "brandName": "Antibiotics"
    }
  ],
  "responseCode": 200,
  "totalCount": 3
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/versions/spice-1.0/engineering/api-documentation/spice-services/investigation-create/fill-prescription-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
